stages:
    - build
    - deploy
image: docker:20.10.5
services:
- docker:20.10.5-dind
builder:
    stage: build
    script:
        - docker build -t build:latest .
    except:
        - main
deployer:
    stage: deploy
    script:
    - docker build -t "$CI_REGISTRY/abduragimov.ga/gitlab-lesson/python-api:latest" .
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker push "$CI_REGISTRY/abduragimov.ga/gitlab-lesson/python-api:latest"
    # Run this job in a branch where a Dockerfile exists
    only: 
        - main
